<?php

declare(strict_types=1);

use Dotenv\Dotenv;
use VK\Core as VK;
use VK\API\Methods\Message;

if (!defined('REQUEST_IGNORE_ERROR')) define('REQUEST_IGNORE_ERROR', [1, 6, 9, 10, 14]);
if (!defined('COUNT_TRY_SEND_FILE')) define('COUNT_TRY_SEND_FILE', 5);

// Подключение зависимостей
require_once './vendor/autoload.php';

// Подключение глобальных параметров
Dotenv::createImmutable(__DIR__)->load();

// Инициализация и настрйока ядра
$vk = VK::init()->log();

// Сборка робота
VK::init()->build()->robot();

// Отправка сообщения (от, кому, сообщение)
Message::post(0, 214547089, 'Жопа', 1);

//$stream = $robot->longpoll();

var_dump(VK::init()->get());

// $vk->listen(function ($data) use ($vk) {
//     $vk->initVars($id, $message, $payload, $user_id, $type, $data);

//     $response = new Message($vk);
//     $response->setMessage('чё надо');
//     $response->send('214547089');
// });
